%global commit      bc482651327888152a25958ba2fdb8a732dc8376
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20190418
%global git_url     https://github.com/keeferrourke/%{name}

%global theme_name  La-Capitaine

Name:           la-capitaine-icon-theme
Version:        0.6.1
Release:        3.%{date}git%{shortcommit}%{?dist}
Summary:        Icon pack designed to integrate with most desktop environments

# For a breakdown of the licensing, see COPYING and LICENSE
License:        GPLv3+ and MIT
URL:            https://krourke.org/projects/art/la-capitaine-icon-theme
Source0:        %{git_url}/tarball/%{commit}#/%{name}-%{version}%{date}git%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  fdupes

Requires:       adwaita-icon-theme
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme

%description
La Capitaine is an icon pack — designed to integrate with most desktop
environments. The set of icons takes inspiration from the latest iterations of
macOS and Google's Material Design through the use of visually pleasing
gradients, shadowing, and simple icon geometry.

%prep
%autosetup -n keeferrourke-%{name}-%{shortcommit}
# Remove executable bit
find -executable -type f -exec chmod -x {} +

%install
mkdir -p                %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       actions     %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       animations  %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       apps        %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       devices     %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       emblems     %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       emotes      %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       mimetypes   %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       panel       %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       places      %{buildroot}%{_datadir}/icons/%{theme_name}
cp -r       status      %{buildroot}%{_datadir}/icons/%{theme_name}
cp          index.theme %{buildroot}%{_datadir}/icons/%{theme_name}
# Remove all logos except Fedora
find                    %{buildroot}%{_datadir}/icons/%{theme_name}/apps/scalable/distributor-logo* ! -name 'distributor-logo-fedora.svg' -type f -exec rm {} +
mv                      %{buildroot}%{_datadir}/icons/%{theme_name}/apps/scalable/distributor-logo-fedora.svg %{buildroot}%{_datadir}/icons/%{theme_name}/apps/scalable/distributor-logo.svg
# Remove all logos except GNOME
find                    %{buildroot}%{_datadir}/icons/%{theme_name}/places/scalable/distributor-logo* ! -name 'distributor-logo-gnome.svg' -type f -exec rm {} +

%fdupes -s %{buildroot}%{_datadir}

touch %{buildroot}/%{_datadir}/icons/%{theme_name}/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/%{theme_name}
gtk-update-icon-cache --force %{_datadir}/icons/%{theme_name} &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/%{theme_name}
gtk-update-icon-cache --force %{_datadir}/icons/%{theme_name} &>/dev/null || :

%files
%doc README.md Credits.md Thanks.md
%license COPYING LICENSE
%{_datadir}/icons/%{theme_name}
%ghost %{_datadir}/icons/%{theme_name}/icon-theme.cache

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3.20190418gitbc48265
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-2.20190418gitbc48265
- Initial package
